Bug 194436 - Export MathML fraction tests to WPT
Summary: Export MathML fraction tests to WPT
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-08 09:02 PST by Frédéric Wang (:fredw)
Modified: 2019-02-26 07:30 PST (History)
9 users (show)

See Also:


Attachments
Patch (223.24 KB, patch)
2019-02-22 10:52 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (2.44 MB, application/zip)
2019-02-22 12:20 PST, Build Bot
no flags Details
Patch (224.75 KB, patch)
2019-02-22 12:24 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (224.96 KB, patch)
2019-02-26 06:45 PST, Frédéric Wang (:fredw)
rego: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2019-02-08 09:02:07 PST
We have several reftests for fractions that can be exported to WPT.
Some of the tests have equivalent (and more reliable testing) in WPT and can be removed.
Others that just verify crashs/asserts, hangs or invalid markup and be moved up to LayoutTests/mathml/
Comment 1 Frédéric Wang (:fredw) 2019-02-22 10:52:06 PST
Created attachment 362733 [details]
Patch
Comment 2 Build Bot 2019-02-22 12:20:03 PST
Comment on attachment 362733 [details]
Patch

Attachment 362733 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11249329

New failing tests:
imported/w3c/web-platform-tests/mathml/presentation-markup/fractions/frac-parameters-1.html
imported/w3c/web-platform-tests/mathml/presentation-markup/fractions/frac-parameters-2.html
Comment 3 Build Bot 2019-02-22 12:20:05 PST
Created attachment 362743 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 4 Frédéric Wang (:fredw) 2019-02-22 12:24:03 PST
Created attachment 362744 [details]
Patch
Comment 5 Manuel Rego Casasnovas 2019-02-24 03:31:18 PST
Comment on attachment 362744 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362744&action=review

LGTM, but I'd update the ChangeLog message before landing.

> LayoutTests/imported/w3c/ChangeLog:6
> +        This is just an import of the current MathML WPT tests. It includes fraction tests from

This is not accurate, this is not only an import, you're also exporting some tests here.
Comment 6 Frédéric Wang (:fredw) 2019-02-24 05:42:18 PST
Comment on attachment 362744 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362744&action=review

>> LayoutTests/imported/w3c/ChangeLog:6
>> +        This is just an import of the current MathML WPT tests. It includes fraction tests from
> 
> This is not accurate, this is not only an import, you're also exporting some tests here.

Yes, but this is explained in the other ChangeLog.
Comment 7 Rob Buis 2019-02-26 02:20:34 PST
Comment on attachment 362744 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362744&action=review

LGTM as well.

> LayoutTests/ChangeLog:7


crashes.
Comment 8 Frédéric Wang (:fredw) 2019-02-26 06:45:12 PST
Created attachment 362980 [details]
Patch
Comment 9 Frédéric Wang (:fredw) 2019-02-26 06:46:47 PST
@Rego, @Rob: Same patch uploaded with tweaks in the ChangeLogs.
Comment 10 Manuel Rego Casasnovas 2019-02-26 07:20:18 PST
Comment on attachment 362980 [details]
Patch

Ok, I thought I did r+ the other day sorry.
Comment 11 WebKit Commit Bot 2019-02-26 07:24:19 PST
Comment on attachment 362980 [details]
Patch

Rejecting attachment 362980 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 362980, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

/Volumes/Data/EWS/WebKit/LayoutTests/imported/w3c/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: https://webkit-queues.webkit.org/results/11290374
Comment 12 Frédéric Wang (:fredw) 2019-02-26 07:29:47 PST
Committed r242085: <https://trac.webkit.org/changeset/242085>
Comment 13 Radar WebKit Bug Importer 2019-02-26 07:30:27 PST
<rdar://problem/48400036>